#
# spec file for package aspell (Version 0%{short_version})
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dialog ed gpp libgpp pspell pspell-devel tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs dialog diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps pspell pspell-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         aspell
%define       short_version .33.7
Copyright:    LGPL
Group:        Applications/Text
Autoreqprov:  on
Version:      0%{short_version}
Release:      0
Summary:      A spelling checker
URL:          http://aspell.sourceforge.net/
Source0:      %{name}-%{short_version}.tar.bz2
Source1:      SuSEconf.tar.bz2
Patch0:	      %{name}-%{short_version}.patch
Patch1:	      %{name}-%{short_version}-axp.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

SuSE series: spl

%package devel
Requires:     aspell
Summary:      A spelling checker
Group:        Development/Libraries

%description devel
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

SuSE series: spl

%package en
Requires:       aspell
Summary:      A spelling checker
Group:          Applications/Text

%description en
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

SuSE series: spl

%prep
%setup -n aspell-%{short_version} -b 1
%patch0
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --enable-static \
            --infodir=%{_infodir} \
            --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#
# documentation
#
cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .
rm -rf aspell/man-text
#
# configuration
#
cp -r ../usr $RPM_BUILD_ROOT

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO aspell/*
%dir /usr/lib/aspell/
/usr/lib/lib*.so.*
#
/usr/bin/aspell
/usr/bin/run-with-aspell
/usr/bin/word-list-compress
#
/usr/share/aspell/*.dat
/usr/share/aspell/*.map
/usr/share/aspell/ispell
/usr/share/aspell/spell
/usr/share/aspell/standard.kbd

%files devel
%defattr(-,root,root)
/usr/include/aspell
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so

%files en
%defattr(-,root,root)
/usr/lib/aspell/*
/usr/share/aspell/*.config
/usr/share/pspell/*
#
/usr/bin/en-spell
/usr/bin/am-spell
/usr/bin/am-med-spell
/usr/bin/br-spell
/usr/bin/br-med-spell
/usr/bin/ca-spell
/usr/bin/ca-med-spell

%changelog -n aspell
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed declaration of friend classes
* Fri Aug 17 2001 - pmladek@suse.cz
- fixed file list
- added ed and dialog to neededforbuild through tetex
* Thu Aug 16 2001 - pmladek@suse.cz
- updated to version 0.33.7
- fixed documentation
* Tue Jun 26 2001 - schwab@suse.de
- Remove -I$(includedir).
* Mon Jun 11 2001 - ro@suse.de
- libtoolize to build
* Wed May 30 2001 - pmladek@suse.cz
- package created
- added start script and configurations for each spelling and jargon
